Skip to main content

Documentation Index

Fetch the complete documentation index at: https://gr4vy.radial-commerce.com/llms.txt

Use this file to discover all available pages before exploring further.

Setup

Please follow the common dLocal instructions to get set up with Nequi. Next, make sure to enable Nequi as a payment method on your configured account.

Wallet

Nequi may require some additional information to be passed via dLocal to enable the wallet payment. For this purpose we’ve introduced a wallet option to the API. To enable this feature, pass in the following connection options for dLocal when making a payment.
POST /transactions

{
    "amount": 2000000,
    "country": "CO",
    "currency": "COP",
    "intent": "capture",
    "connection_options": {
        "dlocal-nequi": {
            "wallet": {
                "name": "John Smith", // defaults to the billing name
                "email": "john@example.com", // defaults to the billing email
                "username": "johndoe", // defaults to the billing email
                "token": "abc123", // defaults to null
                "verify": true //defaults to false
            }
        }
    },
}
Please contact dLocal for more information on how to exactly use these wallet options.